package com.dxhy.common.util;

import java.text.DecimalFormat;

import org.apache.commons.lang3.StringUtils;

/**
 * @author jiaohongyang
 */
@SuppressWarnings("AlibabaUndefineMagicConstant")
public class AmountFormatUtil {

    /**
     * fmtMicrometer : 格式化数字为千分位
     *
     * @param text
     *            设定文件 String 返回类型
     */
    public static String fmtMicrometer(String text) {
        DecimalFormat df;
        if (StringUtils.isNotBlank(text)) {
            if (text.indexOf(".") > 0) {
                int i = text.length() - text.indexOf(".") - 1;
                if (i == 0) {
                    df = new DecimalFormat("###,##0.");
                } else if (i == 1) {
                    df = new DecimalFormat("###,##0.0");
                } else {

                    df = new DecimalFormat("###,##0.00");
                }
            } else {
                df = new DecimalFormat("###,##0");
            }
            double number;
            try {
                number = Double.parseDouble(text);
            } catch (Exception e) {
                number = 0.0;
            }
            return df.format(number);
        } else {
            return text;
        }

    }

}
